Name:           flatbuffers
Version:        1.4.0
Release:        1
Summary:        Memory Efficient Serialization Library from Google

License:        ASL 2.0
URL:            http://google.github.io/flatbuffers/

#Source0:        {name}-%{version}.tar.gz
Source0:        https://github.com/google/flatbuffers/archive/v%{version}.tar.gz

BuildRequires:  cmake

%description
FlatBuffers is a serialization library for games and other memory constrained apps.
FlatBuffers allows you to directly access serialized data without unpacking/parsing
it first, while still having great forwards/backwards compatibility.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}
%description    devel
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

rm -rf %{buildroot}%{_prefix}/lib{,64}/*.a

%files
%license LICENSE.txt
%doc readme.md
# Empty, this is a header-only library

%files devel
%{_bindir}/flatc
%{_includedir}/flatbuffers

%changelog
* Mon Dec 12 2016 Christian Mollekopf <mollekopf@kolabsys.com> - 1.4.0-1
- v1.4.0
* Mon Mar 30 2015 Daniel Vrátil <dvratil@redhat.com> - 1.0.3-1
- Initial version
